List notifications
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/notifications \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/notifications"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"commentUid": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateSeen": "2023-11-07T05:31:56Z",
"jobPartUid": "<string>",
"messageBody": "<string>",
"messageTitle": "<string>",
"projectUid": "<string>",
"seen": true,
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"responseTimestamp": "2023-11-07T05:31:56Z",
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Notifications
List notifications
Returns notifications scoped to the currently authenticated user. Results are paginated and sorted by date created (DATE_CREATED). The response includes a responseTimestamp. Authentication is required; unauthenticated requests are rejected with 403 Forbidden.
GET
/
api2
/
v1
/
notifications
List notifications
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 20
Required range:
1 <= x <= 50Filtered by notification category
Available options:
PINNED, SEEN, UNSEEN Filtered by create date time in ISO 8601 UTC format
Filtered by create date time in ISO 8601 UTC format
Was this page helpful?